.button {
  display: inline-block;
  padding: 10px 20px;
  border: 2px solid gold;
  background: linear-gradient(to bottom, #ffd700, #ffb400);
  border-radius: 30px;
  text-align: center;
  text-decoration: none;
  color: #ff0000;
  font-size: 24px;
  font-family: Arial, sans-serif;
  font-weight: bold;
}

.button:hover {
  background: linear-gradient(to bottom, #ffb400, #ffd700);
}

.button-text {
  position: relative;
  z-index: 1;
}

.button::before {
  content: "";
  position: absolute;
  top: -2px;
  bottom: -2px;
  left: -2px;
  right: -2px;
  border-radius: 30px;
  background: linear-gradient(to bottom, #ffd700, #ffb400);
  z-index: -1;
}
